# Running the Shuffled Complex Evolution algorithm

| **Goldstein-Price Function Exploration** | **Parabolic Function (x²+y²) Exploration** | **Rosenbrock  Function Exploration** |
|------------|------------|------------|
| ![](images/goldstein_price_3d_plot.gif) | ![](images/squared_3d_plot.gif) | ![](images/rosenbrock_3d_plot.gif) |

## Clone this repository
You can safely skip this step if you downloaded this repository as a zip file

```bash
git clone https://gitlab-student.centralesupelec.fr/matthieu.bonnemains/SCE-MODVIV/
cd SCE-MODVIV
```

## Install required python modules

```bash
python -m pip install numpy imageio scipy matplotlib
```

## Run the script
```bash
python sce.py
```
The file to run is sce.py, parameters for the algorithm can be set in the main function. Three examples are given with the Goldstein-Price, the Rosenberg and a simple parabolic function defined as x²+y².

Multiple helper scripts are called by the function sce defined in sce.py. Those scripts are used for the Competitive Complex Evolution and the construction of plots.

# Visualizing an IFS

## Install required python modules

```bash
python -m pip install numpy matplotlib
```

## Run the script

```bash
python Tree.py
```